summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorng0 <ng0@n0.is>2019-03-09 10:19:16 +0000
committerng0 <ng0@n0.is>2019-03-09 10:19:16 +0000
commitc5f1ccc86f1453440a92c0a67c47dace247d40f3 (patch)
tree69ec81b83044570939e578b580992fd996a54a4a /contrib
parent42a91b868ea11a71c725c8d64c7368a3651d598b (diff)
lint-man: Check for what I just completely fixed. Just in case.
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/scripts/lint-man.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/contrib/scripts/lint-man.sh b/contrib/scripts/lint-man.sh
index 1a3f1514a..8915e9ece 100755
--- a/contrib/scripts/lint-man.sh
+++ b/contrib/scripts/lint-man.sh
@@ -18,6 +18,13 @@ then
MANWIDTH=80 \
groff -m mandoc -b -z -w w $f;
done
+ # FIXME below, grande stupidity.
+ rm groff_lint.log
+ echo "Wrong use of B"
+ for f in `find . -name \*\.[1-9]`;
+ do
+ awk '/^\.B$/ {print FILENAME":"NR":"$0}' $f >> groff_lint.log || true
+ done
fi
echo "mandoc check"